Subject: bug#48258: 28.0.50; minibuffer window not selected with non-nil mouse-autoselect-window

From: Stephen Berman <[email-masked]>
Date: Fri, 01 Jul 2022 14:43:30 +0200

On Fri, 01 Jul 2022 14:15:08 +0200 Lars Ingebrigtsen <[email-masked]> wrote:

> Stephen Berman <[email-masked]> writes:
>
>> 0. emacs -Q
>> 1. Type `M-x set-variable mouse-autoselect-window RET t RET'.
>> 2. Type `M-x gnus', answer `y' at the prompt; in the Gnus buffer type
>>    `B RET news.gmane.io RET'.
>> 3. In the *Gnus Browse Server* buffer type `C-s gmane.emacs.devel' to
>>    put point on the gmane.emacs.devel group; type RET to enter it.
>> 4. Type `j <[email-masked]> RET', which
>>    displays an article containing an attachment.
>> 5. Type `2 K o'.
>> => The minibuffer displays a prompt to enter where to save the MIME part
>>    to, but the selected window remains the one containing Gnus Summary
>>    buffer instead of switching to the minibuffer window (but see below).
>
> [...]
>
>> Sometimes there is no failure to select the minibuffer window the first
>> time around, but I haven't been able to isolate the necessary
>> conditions.
>
> (I'm going through old bug reports that unfortunately weren't resolved
> at the time.)
>
> I'm unable to reproduce this in Emacs 29.  Do you still see this
> behaviour in the current Emacs?

No, and I can't reproduce it now on Emacs 27 and 28 either, so I guess
the bug should be closed as unreproducible.

Steve Berman